Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3p_mixing.F90	(revision 5116)
@@ -282,9 +282,9 @@
           END IF ! new ! IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (j>=(icb(il)-1)) &
 #ifdef ISO
-         if(sij(il,i,j).gt.0.0)then
+         IF(sij(il,i,j).gt.0.0)THEN
                qent_diag(il,i,j)=sij(il,i,j)*rr(il,i) &
                      +(1.-sij(il,i,j))*rti
            ! question: pourquoi qent n'est-il pas recalculé ici?
-         endif !if(sij(il,i,j).gt.0.0)then
+         endif !IF(sij(il,i,j).gt.0.0)THEN
 #endif
         END DO ! il
@@ -295,7 +295,7 @@
          zfice(il) = MIN(MAX(zfice(il),0.0),1.0)
 
-         if( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-           (j.ge.(icb(il)-1)).and.(j.le.inb(il))) then
-          if (sij(il,i,j).gt.0.0) then  
+         IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
+           (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
+          if (sij(il,i,j).gt.0.0) THEN
            do ixt=1,ntraciso
             xtrti(ixt)=xtta(ixt,il,i-1)-ep(il,i)*xtclw(ixt,il,i) 
@@ -304,5 +304,5 @@
            enddo ! do ixt=1,ntraciso 
 #ifdef ISOVERIF 
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite(xtta(iso_eau,il,i-1), &
                 qta(il,i-1),'cv3p_mixing 256a')
@@ -313,10 +313,10 @@
           CALL iso_verif_egalite(xtent_diag(iso_eau,il,i,j), &
                 qent_diag(il,i,j),'cv3p_mixing 256d')    
-          endif ! if (iso_eau.gt.0) then      
+          endif ! if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur(xtrti,'cv3p_mixing 1968')
 #endif           
 #endif           
-           if (qent_diag(il,i,j).lt.elij(il,i,j)) then  
+           if (qent_diag(il,i,j).lt.elij(il,i,j)) THEN
              do ixt=1,ntraciso
                xtent_diag(ixt,il,i,j)=  xtent_diag(ixt,il,i,j) &
@@ -324,20 +324,19 @@
              enddo ! do ixt=1,ntraciso
              qent_diag(il,i,j)=elij(il,i,j)
-           endif !if (qent_diag(il,i,j).lt.elij(il,i,j)) then
-
+           endif !if (qent_diag(il,i,j).lt.elij(il,i,j)) THEN
 #ifdef ISOVERIFIDRIS
           CALL iso_verif_noNaN(qent_diag(il,i,j),'cv3p_routines 261')
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
            if (iso_verif_egalite_nostop(xtent_diag(iso_eau,il,i,j), &
-                qent_diag(il,i,j),'cv3p_mixing 258').eq.1) then
-             write(*,*) 'il,i,j=',il,i,j
-             write(*,*) 'qent_diag(il,i,j),elij(il,i,j)=', &
+                qent_diag(il,i,j),'cv3p_mixing 258').eq.1) THEN
+             WRITE(*,*) 'il,i,j=',il,i,j
+             WRITE(*,*) 'qent_diag(il,i,j),elij(il,i,j)=', &
                 qent_diag(il,i,j),elij(il,i,j)
-             write(*,*) 'sij(il,i,j)=',sij(il,i,j)
-             write(*,*) 'xt=',xt(iso_eau,il,i),rr(il,i)
-             write(*,*) 'xtclw=',xtclw(iso_eau,il,i),clw(il,i)
-             write(*,*) 'ep(il,i)=',ep(il,i)
+             WRITE(*,*) 'sij(il,i,j)=',sij(il,i,j)
+             WRITE(*,*) 'xt=',xt(iso_eau,il,i),rr(il,i)
+             WRITE(*,*) 'xtclw=',xtclw(iso_eau,il,i),clw(il,i)
+             WRITE(*,*) 'ep(il,i)=',ep(il,i)
              stop
            endif
@@ -346,5 +345,5 @@
                 'cv3p_routines 262')
 #endif
-         else !if (sij(il,i,j).gt.0.0) then 
+         else !if (sij(il,i,j).gt.0.0) THEN
             ! ajout le 4 mai 2012: initialiser au cas où
             elij(il,i,j)=0.0 
@@ -353,6 +352,6 @@
               xtent_diag(ixt,il,i,j)=xt(ixt,il,i)
             enddo !do ixt=1,ntraciso
-         endif  !if(sij(il,i,j).gt.0.0)then  
-        else  !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+         endif  !IF(sij(il,i,j).gt.0.0)THEN
+        else  !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
             ! ajout le 4 mai 2012: initialiser au cas où
             elij(il,i,j)=0.0 
@@ -361,5 +360,5 @@
               xtent_diag(ixt,il,i,j)=xt(ixt,il,i)
             enddo !do ixt=1,ntraciso
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
 #ifdef ISOVERIF
 #ifdef VERIFNEGATIF
@@ -372,5 +371,5 @@
        enddo  !do il=1,ncum 
 
-       !write(*,*) 'cv3p_mixing 265: CALL condiso'
+       !WRITE(*,*) 'cv3p_mixing 265: CALL condiso'
        CALL condiso_liq_ice_vectall(xtent_diag(1,1,i,j), &
                 qent_diag(1,i,j),elij(1,i,j), &
@@ -394,13 +393,13 @@
 
 #ifdef ISOTRAC    
-!        write(*,*) 'cv3p_mixing tmp 1987,option_traceurs=',
+!        WRITE(*,*) 'cv3p_mixing tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         do il=1,ncum    
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
           if ((elij(il,i,j).gt.0.0).and. &
-                (qent_diag(il,i,j).gt.0.0)) then  
-            if (option_traceurs.eq.17) then        
+                (qent_diag(il,i,j).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent_diag(il,i,j), &
                 elij(il,i,j), &
@@ -408,15 +407,15 @@
                 0.0,xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
-!             write(*,*) 'cv3 2002: il,i,j  =',il,i,j   
+            else !if (option_traceurs.eq.17) THEN
+!             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent_diag(il,i,j), &
                 elij(il,i,j), &
                 xtent_diag(1,il,i,j),xtelij(1,il,i,j),rs(il,j), &
                 0.0,xtres,seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
                xtent_diag(ixt,il,i,j)=xtres(ixt)
             enddo     
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
         enddo !do il=1,ncum
 #ifdef ISOVERIF
@@ -428,5 +427,5 @@
         enddo !do il=1,ncum 
 #endif        
-        endif !if (option_tmin.ge.1) then       
+        endif !if (option_tmin.ge.1) THEN
 #endif
 
@@ -435,7 +434,7 @@
         do il=1,ncum
         if ((i.ge.icb(il)).and.(i.le.inb(il)).and. &
-           (j.ge.(icb(il)-1)).and.(j.le.inb(il))) then
-        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.scut) then  
-        if (iso_eau.gt.0) then
+           (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
+        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.scut) THEN
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,j), &
              qent(il,i,j),'cv3p_mixing 1889',errmax,errmaxrel)   
@@ -443,5 +442,5 @@
              elij(il,i,j),'cv3p_mixing 1890',errmax,errmaxrel) 
         endif
-        if (iso_hdo.gt.0) then    
+        if (iso_hdo.gt.0) THEN
           CALL iso_verif_aberrant_choix(xt(iso_HDO,il,i),rr(il,i), &
                  ridicule,deltalim,'cv3p_mixing 1997')         
@@ -452,7 +451,7 @@
                  xtelij(iso_HDO,il,i,j),elij(il,i,j), &
                  ridicule,deltalim_snow,'cv3p_mixing 1993')
-        endif !if (iso_hdo.gt.0) then
+        endif !if (iso_hdo.gt.0) THEN
 #ifdef ISOTRAC  
-!        write(*,*) 'cv3p_mixing tmp 2039 il=',il
+!        WRITE(*,*) 'cv3p_mixing tmp 2039 il=',il
            CALL iso_verif_traceur(xtent(1,il,i,j), &
                         'cv3p_mixing 2031')
@@ -461,9 +460,9 @@
 #endif        
 
-        endif !if(sij(il,i,j).gt.0.0)then  
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF(sij(il,i,j).gt.0.0)THEN
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
         enddo !do il=1,ncum
 #endif
-!        write(*,*) 'cv3p_routine tmp 1984: cond=',elij(il,i,j)                
+!        WRITE(*,*) 'cv3p_routine tmp 1984: cond=',elij(il,i,j)
 #endif
 
@@ -492,5 +491,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      if(nent(il,i).eq.0)then
+! @      IF(nent(il,i).eq.0)THEN
 !!!       Ment(il,i,i)=m(il,i)
         Ment(il, i, i) = 1.
@@ -512,5 +511,5 @@
       enddo ! do ixt = 1, ntraciso 
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i), &
              qent(il,i,i),'cv3p_mixing 414',errmax,errmaxrel)
@@ -518,11 +517,11 @@
 #endif
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
-!        write(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
+!        WRITE(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) then 
-            if (option_traceurs.eq.17) then
+          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -530,5 +529,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
+            else !if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -536,5 +535,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -548,6 +547,5 @@
             enddo
 #endif            
-          endif !if (cond.gt.0.0) then
-          
+          endif !if (cond.gt.0.0) THEN
 #ifdef ISOVERIF          
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i), &
@@ -556,5 +554,5 @@
           CALL iso_verif_traceur(xtelij(1,il,i,i),'cv3p_mixing 2096')
 #endif        
-        endif !if (option_tmin.ge.1) then    
+        endif !if (option_tmin.ge.1) THEN
 #endif
 ! endif ISOTRAC
@@ -886,7 +884,6 @@
        if ( i.ge.icb(il) .and. i.le.inb(il) .and. &
            j.ge.(icb(il)-1) .and. j.le.inb(il) &
-           .and. lwork(il) ) then
-        if(sij(il,i,j).gt.0.0)then
-
+           .and. lwork(il) ) THEN
+        IF(sij(il,i,j).gt.0.0)THEN
           do ixt=1,ntraciso           
             xtrti(ixt)=xtta(ixt,il,i-1)-ep(il,i)*xtclw(ixt,il,i)         
@@ -899,11 +896,11 @@
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv3p_routines 714')
 #endif          
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
                 qent(il,i,j),'cv3p_routines 718')    
           endif
 #endif              
-         endif  !if(sij(il,i,j).gt.0.0)then  
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+         endif  !IF(sij(il,i,j).gt.0.0)THEN
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
        enddo  !do il=1,ncum
    
@@ -914,5 +911,5 @@
 #endif     
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          do il=1,ncum   
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
@@ -924,5 +921,5 @@
                 'cv3p_routines 749')
         enddo !do il=1,ncum   
-        !write(*,*) 'cv3p_mixing 788: CALL condiso_liq_ice_vectall'
+        !WRITE(*,*) 'cv3p_mixing 788: CALL condiso_liq_ice_vectall'
 #endif     
       
@@ -938,15 +935,15 @@
         if ( i.ge.icb(il) .and. i.le.inb(il) .and. &
            j.ge.(icb(il)-1) .and. j.le.inb(il) &
-           .and. lwork(il) ) then
-        if(sij(il,i,j).gt.0.0)then
+           .and. lwork(il) ) THEN
+        IF(sij(il,i,j).gt.0.0)THEN
          do ixt = 1, ntraciso
           xtelij(ixt,il,i,j)=zxtice(ixt,il)+zxtliq(ixt,il)
          enddo !do ixt = 1, ntraciso
-        endif !if(sij(il,i,j).gt.0.0)then
+        endif !IF(sij(il,i,j).gt.0.0)THEN
         endif !if ( i.ge.icb(il) .and. i.le.inb(il) .and.
         enddo !do il=1,ncum
 
 #ifdef ISOVERIF  
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             do il=1,ncum
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
@@ -960,29 +957,29 @@
 
 #ifdef ISOTRAC    
-!        write(*,*) 'cv3_routines tmp 1987,option_traceurs=',
+!        WRITE(*,*) 'cv3_routines tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         do il=1,ncum    
-!        write(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
+!        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
 !     :           'tcond(il),rs(il,j)=',
 !     :            il,i,j,xtent(:,il,i,j),tcond(il),rs(il,j)
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) then  
-            if (option_traceurs.eq.17) then        
+          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                 0.0,xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
-!             write(*,*) 'cv3 2002: il,i,j  =',il,i,j   
+            else !if (option_traceurs.eq.17) THEN
+!             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                 seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
             enddo     
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
         enddo !do il=1,ncum
 #ifdef ISOVERIF
@@ -994,5 +991,5 @@
         enddo !do il=1,ncum 
 #endif        
-        endif !if (option_tmin.ge.1) then       
+        endif !if (option_tmin.ge.1) THEN
 #endif
 ! endif ISOTRAC
@@ -1045,6 +1042,6 @@
        if ( i.ge.icb(il) .and. i.le.inb(il) .and. &
            j.ge.(icb(il)-1) .and. j.le.inb(il) &
-           .and. lwork(il) ) then
-        if(sij(il,i,j).gt.0.0)then
+           .and. lwork(il) ) THEN
+        IF(sij(il,i,j).gt.0.0)THEN
           do ixt=1,ntraciso           
             xtrti(ixt)=xtta(ixt,il,i-1)-ep(il,i)*xtclw(ixt,il,i)         
@@ -1059,5 +1056,5 @@
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv3p_routines 714')
 #endif          
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
                 qent(il,i,j),'cv3p_routines 718')    
@@ -1066,9 +1063,9 @@
                 'cv3p_routines 887')
 #endif
-         endif  !if(sij(il,i,j).gt.0.0)then  
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+         endif  !IF(sij(il,i,j).gt.0.0)THEN
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
        enddo  !do il=1,ncum
       
-       !write(*,*) 'cv3p_mixing 808: CALL condiso'
+       !WRITE(*,*) 'cv3p_mixing 808: CALL condiso'
        CALL condiso_liq_ice_vectall(xtent(1,1,i,j),qent(1,i,j), &
                 elij(1,i,j), &
@@ -1080,8 +1077,8 @@
          enddo !do ixt = 1, ntraciso
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite(xtelij(iso_eau,il,i,j), &
                 elij(il,i,j),'cv3p_routines 1074')
-         endif ! if (iso_eau.gt.0) then
+         endif ! if (iso_eau.gt.0) THEN
 #endif
         enddo !do il=1,ncum
@@ -1098,27 +1095,27 @@
 #endif   
         
-       if (option_tmin.ge.1) then
+       if (option_tmin.ge.1) THEN
         do il=1,ncum    
-!        write(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
+!        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
 !     :           'tcond(il),rs(il,j)=',
 !     :            il,i,j,xtent(:,il,i,j),tcond(il),rs(il,j)
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) then  
-            if (option_traceurs.eq.17) then        
+          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                 0.0,xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
-!             write(*,*) 'cv3 2002: il,i,j  =',il,i,j   
+            else !if (option_traceurs.eq.17) THEN
+!             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                 xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                 seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
             enddo     
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
         enddo !do il=1,ncum
 #ifdef ISOVERIF
@@ -1130,10 +1127,10 @@
         enddo !do il=1,ncum 
 #endif        
-        endif !if (option_tmin.ge.1) then
+        endif !if (option_tmin.ge.1) THEN
 !#ifdef ISOVERIF        
 #endif
 !#ifdef ISOTRAC        
 #ifdef ISOVERIF        
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             do il=1,ncum
             CALL iso_verif_egalite(xtent(iso_eau,il,i,j), &
@@ -1142,5 +1139,5 @@
                 elij(il,i,j),'cv3p_routines 885')  
             enddo !do il=1,ncum  
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif  
 !#ifdef ISOVERIF           
@@ -1201,5 +1198,5 @@
     DO il = 1, ncum
       IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-! cc     :     .and. csum(il,i).lt.m(il,i) ) then
+! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
         nent(il, i) = 0
 ! cc        Ment(il,i,i)=m(il,i)
@@ -1217,19 +1214,19 @@
       enddo
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite(xtelij(iso_eau,il,i,j), &
                 elij(il,i,j),'cv3p_routines 1204')
-      endif ! if (iso_eau.gt.0) then
+      endif ! if (iso_eau.gt.0) THEN
 #endif
 #endif
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         ! colorier la vapeur résiduelle selon température de
         ! condensation, et le condensat en un tag spécifique
-!        write(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
+!        WRITE(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) then 
-            if (option_traceurs.eq.17) then          
+          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -1237,5 +1234,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
+            else !if (option_traceurs.eq.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                 elij(il,i,i), &
@@ -1243,5 +1240,5 @@
                 xtres, &
                 seuil_tag_tmin)
-            endif ! if (option_traceurs.eq.17) then
+            endif ! if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -1255,5 +1252,5 @@
             enddo
 #endif               
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
 #ifdef ISOVERIF          
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i), &
@@ -1264,5 +1261,5 @@
           CALL iso_verif_traceur(xtelij(1,il,i,i),'cv3p_mixing 2323')
 #endif        
-        endif !if (option_tmin.ge.1) then
+        endif !if (option_tmin.ge.1) THEN
 #endif
         IF (fl_cor_ebil .GE. 2) THEN
@@ -1278,5 +1275,5 @@
 !jyg!      DO il = 1, ncum
 !jyg!        IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-!jyg!! cc     :     .and. csum(il,i).lt.m(il,i) ) then
+!jyg!! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
 !jyg!          traent(il, i, i, j) = tra(il, nk(il), j)
 !jyg!        END IF
@@ -1290,16 +1287,16 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!       write(*,*) 'cv3p_mixing 2540: ', &
+!       WRITE(*,*) 'cv3p_mixing 2540: ', &
 !        'verif finale en sortant de cv3p_mixing'
-!       write(*,*) 'qent,xtent(1,1,1)=',qent(1,1,1),xtent(iso_eau,1,1,1)
+!       WRITE(*,*) 'qent,xtent(1,1,1)=',qent(1,1,1),xtent(iso_eau,1,1,1)
        do im = 1, nd
        do jm = 1, nd
         do il = 1, ncum
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,il,im,jm), &
               elij(il,im,jm),'cv3p_mixing 2110',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xtent(iso_eau,il,im,jm), &
               qent(il,im,jm),'cv3p_mixing 2112',errmax,errmaxrel)
-          endif !if (iso_eau>0) then
+          endif !if (iso_eau>0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(xtelij(1,il,im,jm), &
@@ -1315,5 +1312,5 @@
 #ifdef ISOTRAC
         ! seulement à la fin on taggue le condensat
-        if (option_cond.ge.1) then
+        if (option_cond.ge.1) THEN
          do im = 1, nd
          do jm = 1, nd
@@ -1321,9 +1318,9 @@
            ! colorier le condensat en un tag spécifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) then
+             if (index_zone(ixt).eq.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=xtelij(index_iso(ixt),il,im,jm)
-             else !if (index_zone(ixt).eq.izone_cond) then
+             else !if (index_zone(ixt).eq.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) then
+             endif !if (index_zone(ixt).eq.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -1342,9 +1339,9 @@
 !           ! colorier le condensat en un tag spécifique
 !           do ixt=niso+1,ntraciso
-!             if (index_zone(ixt).eq.izone_cond) then
+!             if (index_zone(ixt).eq.izone_cond) THEN
 !                xtclw(ixt,il,im)=xtclw(index_iso(ixt),il,im)
-!             else !if (index_zone(ixt).eq.izone_cond) then
+!             else !if (index_zone(ixt).eq.izone_cond) THEN
 !                xtclw(ixt,il,im)=0.0
-!             endif !if (index_zone(ixt).eq.izone_cond) then
+!             endif !if (index_zone(ixt).eq.izone_cond) THEN
 !           enddo !do ixt=1,ntraciso      
 !#ifdef ISOVERIF
@@ -1355,8 +1352,8 @@
 !        if (iso_verif_positif_nostop(xtclw(itZonIso( &
 !                izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-!                ,'cv3p_mixing 909').eq.1) then
-!               write(*,*) 'i,k=',i,k
-!               write(*,*) 'xtclw=',xtclw(:,i,k)
-!               write(*,*) 'niso,ntraciso,index_zone,izone_cond=', &
+!                ,'cv3p_mixing 909').eq.1) THEN
+!               WRITE(*,*) 'i,k=',i,k
+!               WRITE(*,*) 'xtclw=',xtclw(:,i,k)
+!               WRITE(*,*) 'niso,ntraciso,index_zone,izone_cond=', &
 !                  niso,ntraciso,index_zone,izone_cond      
 !               stop
@@ -1365,6 +1362,6 @@
 !         enddo !do il = 1, ncum   
 !         enddo !do im = 1, nd
-!         write(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
-        endif !if (option_tmin.eq.1) then
+!         WRITE(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
+        endif !if (option_tmin.eq.1) THEN
 #endif
 #endif         
